diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/wan/cosa.c linux-2.5/drivers/net/wan/cosa.c
--- bk-linus/drivers/net/wan/cosa.c	2002-11-21 02:17:12.000000000 +0000
+++ linux-2.5/drivers/net/wan/cosa.c	2002-11-21 17:59:59.000000000 +0000
@@ -611,7 +611,8 @@ static void sppp_channel_delete(struct c
 static int cosa_sppp_open(struct net_device *d)
 {
 	struct channel_data *chan = d->priv;
-	int err, flags;
+	int err;
+	unsigned long flags;
 
 	if (!(chan->cosa->firmware_status & COSA_FW_START)) {
 		printk(KERN_NOTICE "%s: start the firmware first (status %d)\n",
@@ -682,7 +683,7 @@ static void cosa_sppp_timeout(struct net
 static int cosa_sppp_close(struct net_device *d)
 {
 	struct channel_data *chan = d->priv;
-	int flags;
+	unsigned long flags;
 
 	netif_stop_queue(d);
 	sppp_close(d);
@@ -779,7 +780,7 @@ static ssize_t cosa_read(struct file *fi
 	char *buf, size_t count, loff_t *ppos)
 {
 	DECLARE_WAITQUEUE(wait, current);
-	int flags;
+	unsigned long flags;
 	struct channel_data *chan = (struct channel_data *)file->private_data;
 	struct cosa_data *cosa = chan->cosa;
 	char *kbuf;
@@ -856,7 +857,7 @@ static ssize_t cosa_write(struct file *f
 	DECLARE_WAITQUEUE(wait, current);
 	struct channel_data *chan = (struct channel_data *)file->private_data;
 	struct cosa_data *cosa = chan->cosa;
-	unsigned int flags;
+	unsigned long flags;
 	char *kbuf;
 
 	if (!(cosa->firmware_status & COSA_FW_START)) {
@@ -1243,7 +1244,7 @@ static void cosa_disable_rx(struct chann
 static int cosa_start_tx(struct channel_data *chan, char *buf, int len)
 {
 	struct cosa_data *cosa = chan->cosa;
-	int flags;
+	unsigned long flags;
 #ifdef DEBUG_DATA
 	int i;
 
@@ -1269,7 +1270,7 @@ static int cosa_start_tx(struct channel_
 
 static void put_driver_status(struct cosa_data *cosa)
 {
-	unsigned flags=0;
+	unsigned long flags;
 	int status;
 
 	spin_lock_irqsave(&cosa->lock, flags);
@@ -1337,7 +1338,7 @@ static void put_driver_status_nolock(str
  */
 static void cosa_kick(struct cosa_data *cosa)
 {
-	unsigned flags, flags1;
+	unsigned long flags, flags1;
 	char *s = "(probably) IRQ";
 
 	if (test_bit(RXBIT, &cosa->rxtx))
